Package org.eclipse.equinox.log

# Class LogPermission

java.lang.Object
java.security.Permission
org.eclipse.equinox.log.LogPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public class LogPermission extends Permission
Indicates a bundle's authority to log on behalf of other bundles. This permission has only a single action: LOG.

Since:
  3.7
See Also:
  - Serialized Form
Thread Safe:

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LOG`
The action string `log`.

## Constructor Summary

Constructors
Constructor
Description
`LogPermission(String name, String actions)`
Create a new LogPermission.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getActions()`
`int`
`hashCode()`
`boolean`
`implies(Permission permission)`
`PermissionCollection`
`newPermissionCollection()`

### Methods inherited from class java.security.Permission

`checkGuard, getName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### LOG

public static final String LOG
The action string `log`.

See Also:
  - Constant Field Values

## Constructor Details

### LogPermission

public LogPermission(String name, String actions)
Create a new LogPermission.

Parameters:
  `name` - Name must be "*".
  `actions` - `log` or "*".

## Method Details

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in class `Permission`

### getActions

public String getActions()

Specified by:
  `getActions` in class `Permission`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `Permission`

### implies

public boolean implies(Permission permission)

Specified by:
  `implies` in class `Permission`

### newPermissionCollection

public PermissionCollection newPermissionCollection()

Overrides:
  `newPermissionCollection` in class `Permission`